org.apache.ignite.internal.visor.cache

## Class VisorCacheMetricsV2

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheMetrics
  - - org.apache.ignite.internal.visor.cache.VisorCacheMetricsV2

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCacheMetricsV2
    extends VisorCacheMetrics

Data transfer object for `CacheMetrics`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheMetricsV2()`

### Method Summary

Methods
`VisorCacheMetrics` `from(IgniteEx ignite, String cacheName)`
`long` `offHeapAllocatedSize()`
`long` `offHeapEntriesCount()`

### Methods inherited from class org.apache.ignite.internal.visor.cache.VisorCacheMetrics

`avgPutTime, avgReadTime, avgRemovalTime, avgTxCommitTime, avgTxRollbackTime, commitsPerSecond, dhtEvictQueueCurrentSize, evictions, hits, keySize, misses, mode, name, name, puts, putsPerSecond, queryMetrics, reads, readsPerSecond, removals, removalsPerSecond, rollbacksPerSecond, size, system, toString, txCommitQueueSize, txCommits, txCommittedVersionsSize, txDhtCommitQueueSize, txDhtCommittedVersionsSize, txDhtPrepareQueueSize, txDhtRolledbackVersionsSize, txDhtStartVersionCountsSize, txDhtThreadMapSize, txDhtXidMapSize, txPrepareQueueSize, txRollbacks, txRolledbackVersionsSize, txStartVersionCountsSize, txThreadMapSize, txXidMapSize, writes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheMetricsV2

    public VisorCacheMetricsV2()

### Method Detail

#### from

    public VisorCacheMetrics from(IgniteEx ignite,
                         String cacheName)

Overrides:
  `from` in class `VisorCacheMetrics`
Parameters:
  `ignite` - Ignite.
  `cacheName` - Cache name.
Returns:
  Data transfer object for given cache metrics.

#### offHeapAllocatedSize

    public long offHeapAllocatedSize()

Returns:
  Memory size allocated in off-heap.

#### offHeapEntriesCount

    public long offHeapEntriesCount()

Returns:
  Number of cache entries stored in off-heap memory.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017